# Registration Add On Products

Registration Add On Products

 - [POST /registrationAddOnProducts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-add-on-products/createregistrationaddonproduct.md): This method will auto-generate an ID and create a new registration add on product. If an ID is specified for the registration add on product, an error will be thrown.
 - [POST /registrationAddOnProducts/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-add-on-products/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /registrationAddOnProducts/{tenantId}/event/{event_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-add-on-products/listproductsbyeventid.md): Returns a list of records with the specified event_id
 - [DELETE /registrationAddOnProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-add-on-products/deleteregistrationaddonproduct.md): This method will delete a registration add on product with the specified ID.
 - [GET /registrationAddOnProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-add-on-products/getregistrationaddonproduct.md): This method will look up a registration add on product by the specified ID and return it back.
 - [PATCH /registrationAddOnProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-add-on-products/patchregistrationaddonproduct.md): This method will patch an existing registration add on product with the specified ID, using the HTTP PATCH specification.
 - [PUT /registrationAddOnProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-add-on-products/updateregistrationaddonproduct.md): This method will update an existing registration add on product with the specified ID.
